Package org.drinkless.tdlib

# Class TdApi.StatisticalGraphData

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StatisticalGraph
org.drinkless.tdlib.TdApi.StatisticalGraphData

Enclosing class:
  `TdApi`

public static class TdApi.StatisticalGraphData extends TdApi.StatisticalGraph
A graph data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StatisticalGraph

  `TdApi.StatisticalGraph.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `jsonData`
  Graph data in JSON format.
  `String`
  `zoomToken`
  If non-empty, a token which can be used to receive a zoomed in graph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticalGraphData()`
  A graph data.
  `StatisticalGraphData(String jsonData, String zoomToken)`
  A graph data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### jsonData

    public String jsonData
    Graph data in JSON format.

  - ### zoomToken

    public String zoomToken
    If non-empty, a token which can be used to receive a zoomed in graph.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StatisticalGraphData

    public StatisticalGraphData()
    A graph data.

  - ### StatisticalGraphData

    public StatisticalGraphData(String jsonData, String zoomToken)
    A graph data.
    Parameters:
      `jsonData` - Graph data in JSON format.
      `zoomToken` - If non-empty, a token which can be used to receive a zoomed in graph.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StatisticalGraph`
    Returns:
      this.CONSTRUCTOR